Subject: Re: Running win32 applications under inetd
From: Chris Faylor <[email-masked]>
To: Ian Collins <[email-masked]>
Cc: gnu <[email-masked]>
Date: Mon, 13 Dec 1999 17:16:26 -0500

On Tue, Dec 14, 1999 at 10:15:47AM +1300, Ian Collins wrote:
>I am using Sergeys inetd port to start a telnet session.
>
>One of the applications I am running in the telnet session is a console
>application compiled under Visual C++.
>(Example source code follows).
>
>When run in a telnet session, this code (using isatty) always reports
>the terminal is non-interactive.

Ptys are implemented using pipes.  Non-cygwin applications will not
identify a pipe as a tty.

I doubt that there is any way around this fact.  Sorry.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]